faustgen
Prev | Orchestra Opcodes and Operators | Next

## faustgen

faustgen — Compiles, Instantiates and runs a compiled Faust program.

## Description

Faustgen will invoke the just-in-time compiler, instantiate and run a Faust program.

## Syntax

    ihandle,a1[,a2,...] faustgen SCode[,ain1,...]

## Initialization

“Scode” -- a string containing a Faust program.

“ihandle” -- a handle to the Faust DSP instance, which can be used to access its controls with faustctl.

## Performance

“ain1,...” -- input signals

“a1,...” -- output signals

## Examples

Here is an example of the faustgen opcode, with a simple program that mixes two inputs:

Example 240.

    idsp,a1 faustgen "process=+;",ain1,ain2

## Credits

Author: Victor Lazzarini, 2013

Prev | Up | Next
faustctl | Home | fareylen